using HRD.WebApi.DAL;

namespace DAL.Models.Entities
{
    public partial class CostCentre : BaseEntity
    {
        public int CostCentreId { get; set; }
        public string CostCentreName { get; set; }
        public int SortOrder { get; set; }

        //generic Id
        public override int GetEntityId() => CostCentreId;

        //generic ToString()
        public override string ToString() => $"CostCentreId: {GetEntityId()}; Name: {CostCentreName}";

        //generic EntityInfo()
        public override string EntityInfo() => base.EntityInfo();
    }
}